rte_cryptodev_capabilities(3)

NAME
rte_cryptodev_capabilities

SYNOPSIS

#include <rte_cryptodev.h>

  Data Fields

enum rte_crypto_op_type op

Detailed Description

Structure used to capture a capability of a crypto device

Definition at line 215 of file rte_cryptodev.h.

Field Documentation

  enum rte_crypto_op_type op
Operation type

Definition at line 216 of file rte_cryptodev.h.

  struct rte_cryptodev_symmetric_capability sym
Symmetric operation capability parameters

Definition at line 220 of file rte_cryptodev.h.

  struct rte_cryptodev_asymmetric_capability asym
Asymmetric operation capability parameters

Definition at line 222 of file rte_cryptodev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.